#ifdef __GNUC__
/* DESQview/X does not replace GNU's open/read/closedir. POHC */
#include <sys/dirent.h>
#else /* GNUC__ */

#ifndef __DIRENT_H__
#define __DIRENT_H__

#include <dos.h>

#define MAXNAMLEN	12		/* maximum filename length */

struct dirent {
   short d_attrib;
   short d_namlen;
   char d_name[MAXNAMLEN + 1];
};


typedef struct _DIR /* Tagged. POHC 90/10/09 */
	{
	unsigned short	dd_nentry;	/* current entry in directory */
	unsigned short	dd_valid;	/* whether entry is valid */
	struct find_t	dd_find_t;	/* directory entry */
	struct dirent	dd_dirent;	/* alternative directory entry */
	}	DIR;			/* stream data from opendir() */

extern DIR		*opendir(char *dirname);
extern struct dirent	*readdir(DIR *dp);
extern int		closedir(DIR *dp);

#endif /* __DIRENT_H_ */

#endif /* __GNUC__*/
